org.springframework.web.servlet.tags

## Interface EditorAwareTag

All Known Implementing Classes:
  AbstractCheckedElementTag, AbstractDataBoundFormElementTag, AbstractHtmlElementBodyTag, AbstractHtmlElementTag, AbstractHtmlInputElementTag, AbstractMultiCheckedElementTag, AbstractSingleCheckedElementTag, BindTag, ButtonTag, CheckboxesTag, CheckboxTag, ErrorsTag, FormTag, HiddenInputTag, InputTag, LabelTag, OptionsTag, OptionTag, PasswordInputTag, RadioButtonsTag, RadioButtonTag, SelectTag, TextareaTag

    public interface EditorAwareTag

Interface to be implemented by JSP tags that expose a PropertyEditor for a property that they are currently bound to.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `BindTag`, `AbstractDataBoundFormElementTag`

### Method Summary

Methods
`PropertyEditor` `getEditor()` Retrieve the PropertyEditor for the property that this tag is currently bound to.

### Method Detail

#### getEditor

    PropertyEditor getEditor()
                             throws JspException

Retrieve the PropertyEditor for the property that this tag is currently bound to. Intended for cooperating nesting tags.

Returns:
  the current PropertyEditor, or `null` if none
Throws:
  `JspException` - if resolving the editor failed